
%by jindong liu
%18/06/2008
%this code is revised from main_evaluatespike.m, 
%calcuate the ITD and ILD using a direct spikegeneratorVx.m,e.g
%spikegeneratorv7.m
%intput the sound file name, gamm_total_chan, gamm_low_freq,
%gamm_hi_freq,ITD_thresh, ILD_thresh and binaural_delay.


function [ITD_output, ILD_output, fc, sr]= CalcITDILD(PathName, wavfile, Gamm_total_chan,Gamm_low_freq, Gamm_hi_freq, ITD_thresh, ILD_thresh, binaural_delay)

[x,Fs,bits] = wavread([PathName wavfile]);

%limit the size of sound length.

if size(x,1)>44100
    x = x(1:44100,:);
end
sr = Fs; % sampling rate


[forward,feedback,fc,ERB,B] = GammaToneMake(sr,Gamm_total_chan,Gamm_low_freq, Gamm_hi_freq,'Moore'); %make filterbank

%change here to select the correct channel for each side.
y_left = GammaToneApply(x(:,1),forward,feedback); %filter into individual channels
y_right = GammaToneApply(x(:,2),forward,feedback); %filter into individual channels



Max_delay = round(sr*binaural_delay);
ITD_chan = Max_delay*2+1;  %1:Maxdelay+1 is mapping [-90 0]degree of sound. and [Max_delay+2, 2*Maxdelay+1] mapping (0,90) (-90 -left side sound, 90, right side sound)
ILD_chan = 21;



ITD_output = zeros(Gamm_total_chan,ITD_chan);
%ITD_spike = cell(Gamm_total_chan,1);
ILD_output = zeros(Gamm_total_chan,ILD_chan);
%ILD_spike = cell(Gamm_total_chan,1);

for i_chan = 1: Gamm_total_chan
    f_l = y_left(i_chan,:);
    f_r = y_right(i_chan,:);
    [tmp_ITD_spike,tmp_ITD_spike_sum, tmp_ILD_spike, tmp_ILD_spike_sum] = spikeGeneratorV7(f_l, f_r, ITD_thresh, ILD_thresh, binaural_delay,fc(i_chan),sr);
    %[tmp_ITD_spike,tmp_ITD_spike_sum, tmp_ILD_spike, tmp_ILD_spike_sum] = spikeGeneratorV6_backup(f_l, f_r, ITD_thresh, ILD_thresh, binaural_delay,fc(i_chan));
    %[temp_phase_spike, temp_ILD_spike] = spikeGeneratorV4(f_l,f_r,0.01,0.01);
    %ITD_output(i_chan,:)=tmp_ITD_spike_sum;
    %ITD_spike{i_chan} = tmp_ITD_spike;
    %spike number correction according to frequency.
    ITD_output(i_chan,:)=tmp_ITD_spike_sum.*fc(1)./fc(i_chan);

 %   ILD_output(i_chan,:) = tmp_ILD_spike_sum;
    %ILD_spike{i_chan} = tmp_ILD_spike;
     %spike number correction according to frequency.
    ILD_output(i_chan,:)=tmp_ILD_spike_sum.*fc(1)./fc(i_chan);

end


end
