%% draw spectrum of stereo recording data.

close all; clear all; clc

%% load sound file

%load file via dialog
[wavfile, PathName] = uigetfile({'*.wav', 'All wave Files (*.wav)';...
            '*.*','All Files (*.*)'}, 'Load Wave File');

[pathstr,name,ext,versn] = fileparts(wavfile);
cd(PathName);


[x,Fs,bits] = wavread([PathName wavfile]);

%% limit the sound in 1 second.
if size(x,1)>Fs
    x = x(1:Fs,:);
end


figure('name',['Spectrum of ', name])
subplot(2,1,1,'replace');
spectrogram(x(:,1),Fs,32);
xlabel([]);
title('Left channel');
subplot(2,1,2,'replace')
spectrogram(x(:,2),Fs,32);
title('Right channel');
set(gca,'xtickMode', 'auto');