
%by jindong liu
%18/12/2007
%draw ITD and ILD figure from ITD distribution and ILD distribution.


function [ITD_h, ILD_h] = drawITDILD(ITD_output, ILD_output, freq_label, ITD_label, ILD_label, extratitle)
        

Gamm_total_chan = size(ITD_output,1);
ITD_chan = size(ITD_output,2);
ILD_chan = size(ILD_output,2);



ITD_h= figure('name',[extratitle, ' ITD distribution']);
bar3(ITD_output,1,'detached');
title(['ITD only sound localisation result']);
set(gca, ...
    'ticklength'    , [0 0], ...
    'yticklabel'    , sprintf('%s|', freq_label{1:round(Gamm_total_chan/5):Gamm_total_chan}), ...
    'ylim'          , [0.5 Gamm_total_chan+0.5], ...
    'ytick'         , [1:round(Gamm_total_chan/5):Gamm_total_chan],...
    'xticklabel'    , sprintf('%s|', ITD_label{1:5:ITD_chan}), ...
    'xlim'          , [1 ITD_chan], ...
    'xtick'         , [1:5:ITD_chan],...
    'PlotBoxAspectRatio',[3,1,1]);
xlabel('L------sound source ITD (ms)------R');
ylabel('Freq(Hz)');
zlabel('Spiking number');


ILD_h = figure('name',[extratitle,' ILD distribution']);
bar3(ILD_output,0.25,'detached');
title(['ILD only sound localisation result']);
set(gca, ...
    'ticklength'    , [0 0], ...
    'yticklabel'    , sprintf('%s|', freq_label{1:round(Gamm_total_chan/5):Gamm_total_chan}), ...
    'ylim'          , [0.5 Gamm_total_chan+0.5], ...
    'ytick'         , [1:round(Gamm_total_chan/5):Gamm_total_chan],...
    'xticklabel'    , sprintf('%s|', ILD_label{1:3:ILD_chan}), ...
    'xlim'          , [1 ILD_chan], ...
    'xtick'         , [1:3:ILD_chan],...
    'PlotBoxAspectRatio',[3,1,1]);
xlabel('L------------sound source level difference----------------R');
ylabel('Centre freq (Hz)');
zlabel('Spiking');

end
