%push the now_amp into the last_amp stack
%build a structure to record the wave amplitude in previous wave period
%'value', record the amplitude value.
%'time', record the discrete time (actually the time line index of the
%wave) for the corresponding amplitude
%'now_i', the internal index for the latest amplitude, i.e.
%last_amp(1).value(last_amp(1).now_i) will return the most recent amplitude
% last_amp(1:2) = struct('value',zeros(1,Max_delay),'time',zeros(1,Max_delay),'now_i',0,'size', Max_delay);   
%build a struct for checking the amplitude in the present wave period.
% now_amp(1:2)   =struct('value',0,'time',0);
% used for function: spikeGeneratorV5.m
%the input argument channel indicate which cell of last_amp to be updated
%channel input should be 1, 2, or [1,2]
function new_amp = pushamp(now_amp, last_amp, channel) 
j = channel;
% if min(size(j))~=1
%     disp('error on size of channel, it should be 1xN or Nx1 array');
%     return;
% else
%     if j(max(size(j)))>max(size(now_amp))
%         disp('invalid value of channel');
%         return;
%     end
% end

for index = 1: size(j,2)
    k = j(index);
    i = last_amp(k).now_i;
    
    i = i+1;
    if i>last_amp(k).size
        i=1;
    end
    last_amp(k).value(i) = now_amp(k).value;
    last_amp(k).time(i)  = now_amp(k).time;

    last_amp(k).now_i = i;

end

new_amp = last_amp;

end