%close all; clear all; clc


%sample step in second
%it is used in the differential function of the soma in mp.m


ITD_thresh = 0.001;
ILD_thresh = 3; %in dB
Gamm_total_chan = 16;
Gamm_low_freq = 200;
Gamm_hi_freq = 4000;
binaural_delay = 6.48e-4;
%load file via dialog
[wavfile, PathName] = uigetfile({'*.wav', 'All wave Files (*.wav)';...
            '*.*','All Files (*.*)'}, 'Load sound File');

[orgITD orgILD fc sr] = CalcITDILD(PathName,wavfile,Gamm_total_chan,Gamm_low_freq,Gamm_hi_freq, ITD_thresh, ILD_thresh,binaural_delay);




%prepare label for later figure
freq_label = {};
ITD_label = {};
ILD_label = {};
Angle_label={};
ITD_chan = size(orgITD,2);
ILD_chan = size(orgILD,2);
%prepare the 
for n=1:Gamm_total_chan
    freq_label(n) = cellstr(num2str(round(fc(n))));
end

%prepare ITD label for figure
for n=1:ITD_chan
    str = sprintf('%3.2f',(n-(ITD_chan+1)/2)*1000/sr);
    ITD_label(n) = cellstr(str);
end
%prepare ILD label for figure
for n=1:ILD_chan
    ILD_label(n) = cellstr(num2str((n-(ILD_chan+1)/2)*(2*ILD_thresh/(ILD_chan-1))));
end

drawITDILD(orgITD, orgILD, freq_label, ITD_label, ILD_label, [wavfile(1:end-4)]);

for n=1:ITD_chan
    angle = ITD2Angle((n-(ITD_chan+1)/2)*1000/sr);
	str = sprintf('%3.2f',angle);
    Angle_label(n) = cellstr(str);
end

drawITDILD(orgITD, orgILD, freq_label, Angle_label, ILD_label, [wavfile(1:end-4),' Angle']);
